Posting in the Magento forums has been disabled pending the implementation of a new and improved forum solution which should better serve the community.

For new questions please post at magento.stackexchange.com, the community-run support site for the Magento community. We will be providing updates on the new forum solution soon. For questions or concerns please email community@magento.com.

Magento Forum

1.1 Alpha PDO_MySQL Problem Yet 1.0 works on same server
 
acketon
Jr. Member
 
Total Posts:  14
Joined:  2008-06-28
 

Hi,
I need to try out the 1.1 alpha to see if the new features will meet the needs of one of my clients. I currently have 1.0 working properly on my server, it reported no problems during install.

I checked out the SVN 1.1. Alpha usinger terminal on my Macbook and then zipped it up, uploaded it to my server and extracted it. When I try to run the installer I get an error saying PDO_MySQL is required. However, this is the same server that has a 1.0 installation running perfectly. Also, I downloaded the magento check file from the professional installation section of this site and it reports no problems: http://www.acketon.com/magento-check.php

I talked to my host and they said PDO_MySQL is installed.

Is this just a problem because of the Alpha? is there a way around it? Would 1.0 work if PDO_MySQL was not really there on my server, or messed up or something?

 
Magento Community Magento Community
Magento Community
Magento Community
 
PCGamesPlus
Sr. Member
 
Avatar
Total Posts:  166
Joined:  2008-01-03
Sacramento, CA
 

I had the same problem, I know it sounds crazy but, I was able to do the install using FireFox. IE would give me the error.
Regards

 
Magento Community Magento Community
Magento Community
Magento Community
 
acketon
Jr. Member
 
Total Posts:  14
Joined:  2008-06-28
 

hmm, I’ve used firefox, on both mac & pc, same problem.

I’ve checked it out again, this time on windows instead of my mac and am going to upload it via ftp this time.

 
Magento Community Magento Community
Magento Community
Magento Community
 
acketon
Jr. Member
 
Total Posts:  14
Joined:  2008-06-28
 

anybody have any ideas?

 
Magento Community Magento Community
Magento Community
Magento Community
 
lotusseedsD
Mentor
 
Avatar
Total Posts:  1144
Joined:  2007-08-31
 

This info maybe useful for you. The first time I tried out the 1.1 alpha was some 3 weeks ago I think. I installed it in the local server using MAMP Pro, the installation was successful however I got PDO_MySQ error too in homepage.  Further testing (turning on/off PHP Extensions) and a re-installation, the error went away. I think I unchecked Zend Optimizer or eAccelerator. Probably a re-installation was not needed.

 
Magento Community Magento Community
Magento Community
Magento Community
 
shaun
Member
 
Avatar
Total Posts:  39
Joined:  2007-11-09
Todmorden, UK
 

Same here. 1.0 is fine and indeed a 1.0 install upgraded to 1.1 via PEAR is ok but installing 1.1 from scratch gives this error.

 
Magento Community Magento Community
Magento Community
Magento Community
 
JLHC
Mentor
 
Avatar
Total Posts:  1287
Joined:  2008-05-09
Tampa, FL
 

I previously faced this error as well. But by changing the php.ini to php5.ini has solved my problems. Maybe you guys can try it out?
By the way, I am using 1.1.0 beta, not alpha.

 
Magento Community Magento Community
Magento Community
Magento Community
 
SimpleHelixcom
Enthusiast
 
Avatar
Total Posts:  906
Joined:  2007-08-31
Huntsville, AL
 

again, does your phpinfo() say you have pdo_mysql?

 
Magento Community Magento Community
Magento Community
Magento Community
 
JLHC
Mentor
 
Avatar
Total Posts:  1287
Joined:  2008-05-09
Tampa, FL
 
SimpleHelix.com - 19 July 2008 10:11 PM

again, does your phpinfo() say you have pdo_mysql?

I believe he has. As this was what he said:-

I talked to my host and they said PDO_MySQL is installed.

 
Magento Community Magento Community
Magento Community
Magento Community
Magento Community
Magento Community
Back to top